Application: gvSIG desktop - gvSIG bugs #4237
Build /builds/2429 not usable
06/21/2016 10:40 AM - Andrea Antonello

Status: Won't fix % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:

Category:

Target version: 2.3.0-2431 (rev. org.gvsig.deskiop-2.0.137)

Severity: Critical Add-on version:

gvSIG version: 2.3.0 Add-on build:

gvSIG build: 2429 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

| am sure this is known, but | will open this anyways to keep trace.

The 2429 build is really broken.

It launches breaking in many ways, starting from the problems building the epsg database (can't find the folder it need to create it in)

and then there are many exceptions like:
java.lang.NoClassDefFoundError: org/gvsig/fmap/dal/spi/AbstractD
That make sure that as good as nothing works (wcs wfs dwg etc).

tested it on windows but other users reported the same for linux.

ataServerExplorer

History

#1 - 06/21/2016 12:30 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)
- File gvSIG.log added

Hi Andrea,
I've just opened a specific ticket about the EPSG database issue (#4238).
| attach also the gvSIG.log with all the errors you mentioned. ;-)

#2 - 06/21/2016 07:28 PM - Joaquin del Cerro Murciano
- Status changed from New to Won't fix

El build 2429 no es usable.

Muy probablemente el 2430 tampoco lo sea.

Necesito probar cambios en el instalador que solo puedo verificar haciendo
Lo siento.
#3 - 06/22/2016 08:54 AM - Andrea Antonello

Hi Joaquin,

vale, entiendo, bueno saber.

Vamos a esperar a que un mensaje de usted para continuar con las pruebas.

Gracias.

#4 - 06/22/2016 12:09 PM - Antonio Falciano
- File exe_error.png added

Hi all,

@Joaquin: the build 2430 shows the same issue of the previous one (Error in the initialization of application) only when there's not a gvSIG home
folder. Instead, if we use a gvSIG home folder generated by a previous working build, it seems to work quite fine, because the plugins read the
plugin-persistence.dat yet available, instead of generating new ones. So there are "only" some plugin initialization issues to fix one by one.

About the windows installers, the jar one works fine, while the exe one not in my case. It returns the error message in attachment. Hope this helps.

#5 - 06/23/2016 12:23 AM - Joaquin del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2431 (rev. org.gvsig.desktop-2.0.137)

Files
gvSIG.log 489 KB 06/21/2016 Antonio Falciano
exe_error.png 20.2 KB 06/22/2016 Antonio Falciano
